petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDrawEllipse

Draws an ellipse onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawEllipse(PetscDraw draw, PetscReal x, PetscReal y, PetscReal a, PetscReal b, int c)

Not collective

### Input Parameters

| draw | - The drawing context
| x,y | - The center
| a,b | - The major and minor axes lengths
| c | - The color

### Keywords

draw, ellipse

### See Also

PetscDrawRectangle(), PetscDrawTriangle()

Level:beginner
Location:src/sys/classes/draw/interface/dellipse.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages